=== data/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.7)

if(NOT WIN32 AND NOT APPLE)
install(FILES dxreminders.desktop DESTINATION share/applications)
endif(NOT WIN32 AND NOT APPLE)
install(FILES icons/dxreminders.png DESTINATION share/icons/hicolor/32x32/apps RENAME dxreminders_smenu.png)
install(FILES icons/dxreminders.svg DESTINATION share/icons/hicolor/scalable/apps RENAME dxreminders_smenu.svg)
install(FILES icons/about.png DESTINATION share/dxreminders/icons)
install(FILES icons/add.png DESTINATION share/dxreminders/icons)
install(FILES icons/date.png DESTINATION share/dxreminders/icons)
install(FILES icons/delete.png DESTINATION share/dxreminders/icons)
install(FILES icons/dxreminders.png DESTINATION share/dxreminders/icons RENAME dxreminders_tray.png)
install(FILES icons/dxreminders.png DESTINATION share/dxreminders/icons RENAME dxreminders_prog.png)
install(FILES icons/edit.png DESTINATION share/dxreminders/icons)
install(FILES icons/eventtray.png DESTINATION share/dxreminders/icons)
install(FILES icons/time.png DESTINATION share/dxreminders/icons)
install(FILES icons/clear.png DESTINATION share/dxreminders/icons)
install(FILES icons/note.png DESTINATION share/dxreminders/icons)
install(FILES icons/hide.png DESTINATION share/dxreminders/icons)
install(FILES icons/show.png DESTINATION share/dxreminders/icons)
install(FILES icons/hide_all.png DESTINATION share/dxreminders/icons)
install(FILES icons/show_all.png DESTINATION share/dxreminders/icons)
install(FILES icons/eadd.png DESTINATION share/dxreminders/icons)
install(FILES icons/eedit.png DESTINATION share/dxreminders/icons)
install(FILES icons/edelete.png DESTINATION share/dxreminders/icons)
install(FILES icons/filter.png DESTINATION share/dxreminders/icons)
install(FILES icons/filterclear.png DESTINATION share/dxreminders/icons)
install(FILES icons/donotdelete.png DESTINATION share/dxreminders/icons)
foreach(lang ${LANGS})
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/${lang}.mo" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/locale/${lang}/LC_MESSAGES" RENAME "dxreminders.mo")
endforeach(lang)
