=== debian/changelog ===
dxreminders (1.20.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Rename upstream tarball from dxreminders_1.20.0-1 to dxreminders_1.20.0.orig.
  * Control: add BD libwxgtk3.0-gtk3-dev and depends libwxgtk3.0-gtk3-0v5.
  * Add debian/source folder and format file to use quilt.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 19 Sep 2021 08:23:53 -0400

dxreminders (1.20.0-1) unstable; urgency=low

  * Stable release

 -- David Vachulka <arch_dvx@users.sourceforge.net>  Thu, 6 Jul 2021 13:13:13 +0200

dxreminders (1.10.1-1) unstable; urgency=low

  * Stable release

 -- David Vachulka <arch_dvx@users.sourceforge.net>  Sun, 8 Feb 2015 13:13:13 +0200

dxreminders (1.10.0-1) unstable; urgency=low

  * Stable release

 -- David Vachulka <arch_dvx@users.sourceforge.net>  Sun, 26 Jan 2014 13:13:13 +0200

dxreminders (1.00.0-1) unstable; urgency=low

  * Initial release

 -- David Vachulka <arch_dvx@users.sourceforge.net>  Sun, 26 May 2013 13:13:13 +0200
