=== debian/control ===
Source: dxreminders
Section: misc
Priority: extra
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: David Vachulka <arch_dvx@users.sourceforge.net>
Build-Depends: debhelper (>= 9), cmake, libwxgtk3.0-gtk3-dev
Standards-Version: 3.8.4
Homepage: http://dxreminders.dxsolutions.org

Package: dxreminders
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwxgtk3.0-gtk3-0v5
Description: A simple program for reminders.
